<?php
// $Id: iContactList.class.inc,v 1.1.2.2 2009/08/18 00:35:33 greenskin Exp $

class iContactList extends iContactResource {
  protected $type = 'list';
  public $accountId;
  public $clientFolderId;
  public $listId;

  public function __construct(iContactClientFolder $clientFolder, $list = NULL) {
    $this->accountId = $clientFolder->accountId;
    $this->clientFolderId = $clientFolder->clientFolderId;
    $this->uri = '/a/'. $this->accountId .'/c/'. $this->clientFolderId .'/lists';

    parent::__construct($clientFolder->iContact, $list);
  }

  protected function collapse() {
    $array = array();
    foreach ($this as $key => $value) {
      switch ($key) {
        case 'uri':
        case 'type':
        case 'iContact':
          break;
        default:
          $array[$key] = $value;
          break;
      }
    }
    return $array;
  }

  protected function expand() {
    
  }

  protected function defaults() {
    return array(
      'name' => '',
      'emailOnwerOnChange' => 1,
      'welcomeOnManualAdd' => 0,
      'welcomeOnSignupAdd' => 0,
      'welcomeMessageId' => 0,
      'description' => ''
    );
  }
}
