<?php
// $Id: iContactSubscription.class.inc,v 1.1.2.2 2009/08/21 22:40:48 greenskin Exp $

class iContactSubscription extends iContactResource {
  protected $type = 'subscription';
  public $accountId;
  public $clientFolderId;
  public $subscriptionId;

  public function __construct(iContactClientFolder $clientFolder, $subscription = NULL) {
    $this->accountId = $clientFolder->accountId;
    $this->clientFolderId = $clientFolder->clientFolderId;
    $this->uri = '/a/'. $this->accountId .'/c/'. $this->clientFolderId .'/subscriptions';

    parent::__construct($clientFolder->iContact, $subscription);
  }

  protected function collapse() {
    $array = array();
    foreach ($this as $key => $value) {
      switch ($key) {
        case 'uri':
        case 'type':
        case 'iContact':
          break;
        default:
          $array[$key] = $value;
          break;
      }
    }
    return $array;
  }

  protected function expand() {
    
  }

  protected function defaults() {
    return array(
      'confirmationMessageId' => 0
    );
  }
}
