<?php
// $Id: iContactMessage.class.inc,v 1.1.2.2 2009/08/21 23:33:15 greenskin Exp $

class iContactMessage extends iContactResource {
  protected $type = 'message';
  public $accountId;
  public $clientFolderId;
  public $messageId;

  public function __construct(iContactClientFolder $clientFolder, $message = NULL) {
    $this->accountId = $clientFolder->accountId;
    $this->clientFolderId = $clientFolder->clientFolderId;
    $this->uri = '/a/'. $this->accountId .'/c/'. $this->clientFolderId .'/messages';

    parent::__construct($clientFolder->iContact, $message);
  }

  protected function collapse() {
    $array = array();
    foreach ($this as $key => $value) {
      switch ($key) {
        case 'uri':
        case 'type':
        case 'iContact':
          break;
        default:
          $array[$key] = $value;
          break;
      }
    }
    return $array;
  }

  protected function expand() {
    
  }

  protected function defaults() {
    return array(
      'messageType' => 'normal',
      'subject' => '',
      'campaignId' => 0,
      'htmlBody' => '',
      'textBody' => ''
    );
  }
}
